#
# spec file for package perl-Chart (Version 2.4.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Chart
BuildRequires:  freetype2-devel gd-devel libjpeg-devel libpng-devel perl-GD xorg-x11-devel
Version:        2.4.1
Release:        178.2
Requires:       perl = %{perl_version}
Requires:       perl-GD
Group:          Development/Libraries/Perl
License:        Artistic
Url:            http://cpan.org/modules/by-module/Class/
Summary:        perl libs for generating Charts
Source:         Chart-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
perl Chart libs



Authors:
--------
    David Bonner
    Peter Clark
    Chart-Group at BKG

%prep
%setup -n Chart-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/Chart
%{perl_vendorlib}/Chart.pod
%{perl_vendorarch}/auto/Chart
/var/adm/perl-modules/%{name}
/usr/share/man/man3/Chart.3pm.gz

%changelog
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 dmueller@suse.de
- 2.4.1 update
* Mon Oct 17 2005 dmueller@suse.de
- initial package (2.3)
